#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir moxftp
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat $BUILDDIR/zcat


cd $BUILDDIR/moxftp
cat $SOURCEDIR/moxftp/moxftp22.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd moxftp-2.2

test -f  $SOURCEDIR/moxftp/$machine/moxftp &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/moxftp/$machine/moxftp | patch -b .rtr -p -s )

xmkmf
configure athena
make
if test "$RM" != "" ; then cp xftp $INSTALLDIR/bin/xftp ; fi
if test "$RM" != "" ; then cp Xftp.ad $INSTALLSHAREDIR/${SHAREPREFIX}lib/X11/app-defaults/Xftp ; fi
if test "$RM" != "" ; then cp xftp.man $INSTALLSHAREDIR/man/mann/xftp.n ; fi

cd $BUILDDIR/moxftp

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/moxftp ; fi
